Loading...
Searching...
No Matches
prometheus::Gateway Class Reference

## Public Member Functions

| Gateway (const std::string &host, const std::string &port, const std::string &jobname, const Labels &labels={}, const std::string &username={}, const std::string &password={})
| Gateway (const Gateway &)=delete
| Gateway (Gateway &&)=delete
Gateway & | operator= (const Gateway &)=delete
Gateway & | operator= (Gateway &&)=delete
void | RegisterCollectable (const std::weak_ptr< Collectable > &collectable, const Labels *labels=nullptr)
int | Push ()
std::future< int > | AsyncPush ()
int | PushAdd ()
std::future< int > | AsyncPushAdd ()
int | Delete ()
std::future< int > | AsyncDelete ()
int | DeleteForInstance ()
std::future< int > | AsyncDeleteForInstance ()

## Static Public Member Functions

static Labels | GetInstanceLabel (std::string hostname)